Get all order reports
curl --request GET \
--url https://api-ezyconnect.ezytail.com/orders/reports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-ezyconnect.ezytail.com/orders/reports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-ezyconnect.ezytail.com/orders/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-ezyconnect.ezytail.com/orders/reports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-ezyconnect.ezytail.com/orders/reports"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-ezyconnect.ezytail.com/orders/reports")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-ezyconnect.ezytail.com/orders/reports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": 123,
"dateCreation": "2023-11-07T05:31:56Z",
"dateLastUpdate": "2023-11-07T05:31:56Z",
"activityCode": "<string>",
"subActivityCode": "<string>",
"orderUniqueID": "<string>",
"prepClosedState": 123,
"firstPackageCreationDate": "2023-11-07T05:31:56Z",
"lastPackageLoadDate": "2023-11-07T05:31:56Z",
"shippedHandlingUnitCount": 123,
"packedPackageCount": 123,
"packedPaletteCount": 123,
"totalPrepWeight": 123,
"totalPrepVolume": 123,
"prepOrderGroupID": "<string>",
"dateProcessed": "2023-11-07T05:31:56Z",
"nomflux": "<string>",
"lignes": [
{
"id": 123,
"dateCreation": "2023-11-07T05:31:56Z",
"dateLastUpdate": "2023-11-07T05:31:56Z",
"orderLineID": "<string>",
"articleReference": "<string>",
"orderedQuantity": 123,
"preparedQuantity": 123,
"dateProcessed": "2023-11-07T05:31:56Z",
"gradeCode": "<string>"
}
],
"parcels": [
{
"id": 123,
"dateCreation": "2023-11-07T05:31:56Z",
"dateLastUpdate": "2023-11-07T05:31:56Z",
"packageNumber": "<string>",
"palletNumber": "<string>",
"shipmentTrackingNumber": "<string>",
"palletSSCC": "<string>",
"packageSSCC": "<string>",
"trpcont": "<string>",
"transportService": "<string>",
"transportLoadNumber": "<string>",
"packageCreationDate": "2023-11-07T05:31:56Z",
"packageLoadDate": "2023-11-07T05:31:56Z",
"packageRank": 123,
"actualPackageWeight": 123,
"shippedPackageVolume": 123,
"activityPackagingCode": "<string>",
"ezytailWaveID": "<string>",
"seqColis": 123,
"trackingurl": "<string>",
"entries": [
{
"id": 123,
"dateCreation": "2023-11-07T05:31:56Z",
"dateLastUpdate": "2023-11-07T05:31:56Z",
"parcelId": 123,
"articleReference": "<string>",
"shippedQuantityInPackage": 123,
"properties": [
{}
]
}
]
}
]
}
]{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Orders
Get all order reports
Fetch all order reports with optional filters, limited to 100 results
GET
/
orders
/
reports
Get all order reports
curl --request GET \
--url https://api-ezyconnect.ezytail.com/orders/reports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-ezyconnect.ezytail.com/orders/reports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-ezyconnect.ezytail.com/orders/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-ezyconnect.ezytail.com/orders/reports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-ezyconnect.ezytail.com/orders/reports"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-ezyconnect.ezytail.com/orders/reports")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-ezyconnect.ezytail.com/orders/reports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": 123,
"dateCreation": "2023-11-07T05:31:56Z",
"dateLastUpdate": "2023-11-07T05:31:56Z",
"activityCode": "<string>",
"subActivityCode": "<string>",
"orderUniqueID": "<string>",
"prepClosedState": 123,
"firstPackageCreationDate": "2023-11-07T05:31:56Z",
"lastPackageLoadDate": "2023-11-07T05:31:56Z",
"shippedHandlingUnitCount": 123,
"packedPackageCount": 123,
"packedPaletteCount": 123,
"totalPrepWeight": 123,
"totalPrepVolume": 123,
"prepOrderGroupID": "<string>",
"dateProcessed": "2023-11-07T05:31:56Z",
"nomflux": "<string>",
"lignes": [
{
"id": 123,
"dateCreation": "2023-11-07T05:31:56Z",
"dateLastUpdate": "2023-11-07T05:31:56Z",
"orderLineID": "<string>",
"articleReference": "<string>",
"orderedQuantity": 123,
"preparedQuantity": 123,
"dateProcessed": "2023-11-07T05:31:56Z",
"gradeCode": "<string>"
}
],
"parcels": [
{
"id": 123,
"dateCreation": "2023-11-07T05:31:56Z",
"dateLastUpdate": "2023-11-07T05:31:56Z",
"packageNumber": "<string>",
"palletNumber": "<string>",
"shipmentTrackingNumber": "<string>",
"palletSSCC": "<string>",
"packageSSCC": "<string>",
"trpcont": "<string>",
"transportService": "<string>",
"transportLoadNumber": "<string>",
"packageCreationDate": "2023-11-07T05:31:56Z",
"packageLoadDate": "2023-11-07T05:31:56Z",
"packageRank": 123,
"actualPackageWeight": 123,
"shippedPackageVolume": 123,
"activityPackagingCode": "<string>",
"ezytailWaveID": "<string>",
"seqColis": 123,
"trackingurl": "<string>",
"entries": [
{
"id": 123,
"dateCreation": "2023-11-07T05:31:56Z",
"dateLastUpdate": "2023-11-07T05:31:56Z",
"parcelId": 123,
"articleReference": "<string>",
"shippedQuantityInPackage": 123,
"properties": [
{}
]
}
]
}
]
}
]{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Authorizations
Response
OK

